> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve triggered upsells

> Fetches the active upsells configured to trigger when the specified product is purchased.



## OpenAPI

````yaml get /products/{id}/upsells
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /products/{id}/upsells:
    get:
      tags:
        - Upsells
      summary: Retrieve triggered upsells
      description: >-
        Fetches the active upsells configured to trigger when the specified
        product is purchased.
      parameters:
        - name: id
          in: path
          description: The ID of the product being purchased
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Upsell'
components:
  schemas:
    Upsell:
      type: object
      properties:
        id:
          type: string
        store_id:
          type: string
        name:
          type: string
        title:
          type: string
        description:
          type: string
        media_url:
          type: string
        button_text:
          type: string
        decline_text:
          type: string
        offer_product_id:
          type: string
        offer_variant_id:
          type: string
        discount_type:
          type: string
          enum:
            - fixed
            - percentage_off
            - amount_off
        discount_value:
          type: number
        discounted_price:
          type: number
        show_original_price:
          type: boolean
        trigger_type:
          type: string
          enum:
            - all_products
            - specific_products
        trigger_rules:
          type: array
          items:
            type: object
        priority:
          type: integer
        timer_enabled:
          type: boolean
        timer_duration_minutes:
          type: integer
        preheader_color:
          type: string
        button_color:
          type: string
        button_hover_color:
          type: string
        button_text_color:
          type: string
        button_text_hover_color:
          type: string

````